Page MenuHomePhabricator

API allows suppression of redirects by users without the "suppressredirect" right
Closed, ResolvedPublic

Description

The following pages were moved using the API:
https://pt.wikipedia.org/w/index.php?title=User:Reverta-me/Testes2&diff=prev&oldid=40709971
https://pt.wikipedia.org/w/index.php?diff=40708830
https://pt.wikipedia.org/w/index.php?diff=40708798
The users in question are not in a group which has the "suppressredirect" right, so the edits should have created a redirect, even if the API call specified "noredirect=1" and there should be a warning about that.

Event Timeline

He7d3r created this task.Nov 26 2014, 10:33 AM
He7d3r raised the priority of this task from to High.
He7d3r updated the task description. (Show Details)
He7d3r changed Security from none to None.
He7d3r added subscribers: He7d3r, DiegoQueiroz.

Looks like a regression from gerrit 166175 / Ic5026384b92a0d68d628397ffe1de6e5b6183f02

Seems there is no autolinking for gerrit changes at the moment: https://gerrit.wikimedia.org/r/#/c/166175/

Change 176036 had a related patch set uploaded (by Anomie):
API: Check suppressredirect right in ApiMove

https://gerrit.wikimedia.org/r/176036

Patch-For-Review

Anomie claimed this task.Nov 26 2014, 7:51 PM
Anomie added a project: MediaWiki-Core-Team.
Anomie moved this task from Backlog to Needs Review/Feedback on the MediaWiki-Core-Team board.

Change 176038 had a related patch set uploaded (by Reedy):
API: Check suppressredirect right in ApiMove

https://gerrit.wikimedia.org/r/176038

Patch-For-Review

Change 176036 merged by jenkins-bot:
API: Check suppressredirect right in ApiMove

https://gerrit.wikimedia.org/r/176036

Change 176038 merged by jenkins-bot:
API: Check suppressredirect right in ApiMove

https://gerrit.wikimedia.org/r/176038

Umherirrender closed this task as Resolved.Nov 28 2014, 8:19 PM
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Dec 1 2014, 10:13 PM
Aklapper removed a subscriber: Anomie.Fri, Oct 16, 5:41 PM